require "log"
require "sys"
require "utils"
require "patch"
local ipc_client=require("internal_api")

LOG_LEVEL=log.LOGLEVEL_TRACE

local function cb1(topic, payload)
    log.info("recv cb1",topic, payload)
end

local function cb2(topic, payload)
    log.info("recv cb2",topic, payload)
end

function main(nodes_cfg, sn)
    -- 如果不再task内不可以使用sys.wait ,需要延时需要使用 sleep/msleep
    ipc1 = ipc_client.create("localhost",1883,nil,nil,{"topic1","topic2"},cb1)
    ipc2 = ipc_client.create("115.238.104.202",33004,"localuser","dywl@galaxy",{"topic3","topic4"},cb2)
    sys.taskInit(function ()
        while(true) do
            sys.wait(700)
            ipc1:publish("test","ipc1")
        end
    end)

    sys.taskInit(function ()
        while(true) do
            sys.wait(2000)
            ipc2:publish("test","ipc2")
        end
    end)

    sys.init(0, 0)
    sys.run()
end
main()