require "log"
require "sys"
require "utils"
require "patch"

LOG_LEVEL=log.LOGLEVEL_TRACE

function main(nodes_cfg, sn)
    -- 如果不再task内不可以使用sys.wait ,需要延时需要使用 sleep/msleep
    log.info(nil,os.date("%Y-%m-%d %H:%M:%S"))
    unix.sleep(1)
    log.info(nil,os.date("%Y-%m-%d %H:%M:%S"))
    unix.msleep(1000)
    log.info(nil,os.date("%Y-%m-%d %H:%M:%S"))
    sys.taskInit(function ()
        while(true) do
            sys.wait(100)
            log.info(nil,"task 1 run",os.date("%Y-%m-%d %H:%M:%S"))
        end
    end)
    sys.taskInit(function ()
        while(true) do
            sys.wait(700)
            log.info(nil,"task 2 run",os.date("%Y-%m-%d %H:%M:%S"))
        end
    end)
    sys.taskInit(function ()
        while(true) do
            sys.wait(1000)
            log.info(nil,"task 3 run",os.date("%Y-%m-%d %H:%M:%S"))
        end
    end)
    sys.init(0, 0)
    sys.run()
end

main()